--[[################################################################################]]--
--[[#                                                                              #]]--
--[[# File      : /units/LAB0809/LAB0809_script.lua                                #]]--
--[[#                                                                              #]]--
--[[# Author    : GPG Devs / Ertwyu + Manimal                                      #]]--
--[[#                                                                              #]]--
--[[# Version   : 1                                                                #]]--
--[[#                                                                              #]]--
--[[# Revision  : 11 janvier 2008                                                  #]]--
--[[#                                                                              #]]--
--[[# Summary   : Aeon Omni Sensor Suite - Engineering Tower Script                #]]--
--[[#                                                                              #]]--
--[[# Copyright :  2007 Gas Powered Games, Inc.  All rights reserved.             #]]--
--[[#                                                                              #]]--
--[[################################################################################]]--


GetMyMod = function( byName, byUID, byAuthor )
    for i, mod in __active_mods do
        if (byName   and ( byName   == mod.name   )) 
        or (byUID    and ( byUID    == mod.uid    ))
        or (byAuthor and ( byAuthor == mod.author )) then
            LOG("MANIMAL\'s DEBUG: Mod Location = "..mod.location)
            return mod
        end
    end
    -- Signaler Echec par un test !
    -- LOG("MANIMAL\'s WARNING: attempt to GetMyMod with wrong or missing parameter in /hook/lua/formations.lua")
end


local MyModInfos = GetMyMod( false, "4515263C-75B7-61DC-A11D-T05155D89593", false )

local MyModDir  = MyModInfos.location



--local AConstructionUnit = import('/lua/aeonunits.lua').AConstructionUnit
local AConstructionStructureUnit = import(MyModDir .. '/lua/mydefaultunits.lua').ConstructionStructureUnit



LAB0809 = Class(AConstructionStructureUnit) {

	OnStartBuild = function(self, unitBeingBuilt, order)
        	AConstructionStructureUnit.OnStartBuild(self, unitBeingBuilt, order)
	end,
		
	OnStopBuild = function(self, unitBeingBuilt)
		AConstructionStructureUnit.OnStopBuild(self, unitBeingBuilt)
	end,

}

TypeClass = LAB0809